%define upstream_name    Net-OpenID-Common
%define upstream_version 1.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Support for the Simple Registration extension (SREG)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::DH::GMP)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(HTML::Parser) >= 3.400.0
BuildRequires: perl(HTTP::Headers::Util)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildRequires: perl(XML::Simple)
BuildArch:  noarch

%description
This module provides an implementation of the Yadis protocol, which does
XRDS-based service discovery on URLs.

This module was originally developed by OHTSUKA Ko-hei as the
Net::Yadis::Discovery manpage, but was forked and simplified for inclusion
in the core OpenID Consumer package.

This simplified version is tailored for the needs of Net::OpenID::Consumer;
for other uses, the Net::Yadis::Discovery manpage is probably a better
choice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Nov 14 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 167654
- update to 1.14

* Wed Nov 09 2011 jquelin <jquelin> 1.120.0-1.mga2
+ Revision: 165797
- imported package perl-Net-OpenID-Common


* Wed Nov 09 2011 cpan2dist 1.12-1mga
- initial mageia release, generated with cpan2dist
